library generate_unique_integers;

import 'dart:math';

_validateInput(numberCount, max) {
  if (numberCount < 1 || max < 1) {
    return throw Exception("Negative number");
  }

  if (numberCount > max) {
    return throw Exception("Error: numberCount > max");
  }
}

List<int> generateUniqueNumbers({
  required int numberCount,
  required int max,
}) {
  _validateInput(numberCount, max);

  final List<int> generatedNumbers = [];
  final random = Random();

  while (generatedNumbers.length < numberCount) {
    final int number = random.nextInt(max);

    if (!generatedNumbers.contains(number)) {
      generatedNumbers.add(number);
    }
  }

  return generatedNumbers;
}
